summary.mvr {pls} | R Documentation

## Summary and Print Methods for PLSR and PCR objects

### Description

Summary and print methods for `mvr` and `mvrVal` objects.

### Usage

    ## S3 method for class 'mvr'
    summary(object, what = c("all", "validation", "training"),
            digits = 4, print.gap = 2, ...)
    ## S3 method for class 'mvr'
    print(x, ...)
    ## S3 method for class 'mvrVal'
    print(x, digits = 4, print.gap = 2, ...)

### Arguments

`x, object` | an `mvr` object
`what` | one of `"all"`, `"validation"` or `"training"`
`digits` | integer. Minimum number of significant digits in the output. Default is 4.
`print.gap` | Integer. Gap between coloumns of the printed tables.
`...` | Other arguments sent to underlying methods.

### Details

If `what` is `"training"`, the explained variances are given; if it is `"validation"`, the cross-validated RMSEPs (if available) are given; if it is `"all"`, both are given.

### Value

`print.mvr` and `print.mvrVal` return the object invisibly.

### Author(s)

Ron Wehrens and Bjørn-Helge Mevik

### See Also

`mvr`, `pcr`, `plsr`, `RMSEP`, `MSEP`

### Examples

    data(yarn)
    nir.mvr <- mvr(density ~ NIR, ncomp = 8, validation = "LOO", data = yarn)
    nir.mvr
    summary(nir.mvr)
    RMSEP(nir.mvr)

[Package pls version 2.7-1 Index]